The Customer Credit Limit object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
credit_limit number
company string
bypass_credit_limit_check boolean

Default: false

The Customer Credit Limit object
{
  "id": "customer-credit-limit_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "credit_limit": 0,
  "company": "Example Corp",
  "bypass_credit_limit_check": false
}
GET /api/crm/customer-credit-limit?parent_id={id}

List customer credit limits by parent

Returns all customer credit limits belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of customer credit limit objects belonging to the parent.

GET /api/crm/customer-credit-limit?parent_id={id}
curl https://api.overplane.dev/api/crm/customer-credit-limit?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "customer-credit-limit_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "credit_limit": 0,
      "company": "Example Corp",
      "bypass_credit_limit_check": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/crm/customer-credit-limit

Create a customer credit limit

Creates a new customer credit limit object.

Body parameters

idx integer
parent_id string required
parent_type string required
credit_limit number
company string
bypass_credit_limit_check boolean

Default: false

Returns

Returns the newly created customer credit limit object if the call succeeded.

POST /api/crm/customer-credit-limit
curl https://api.overplane.dev/api/crm/customer-credit-limit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example"}'
Response
{
  "id": "customer-credit-limit_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "credit_limit": 0,
  "company": "Example Corp",
  "bypass_credit_limit_check": false
}
PATCH /api/crm/customer-credit-limit/{id}

Update a customer credit limit

Updates the specified customer credit limit by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the customer credit limit to update.

Body parameters

idx integer
parent_id string
parent_type string
credit_limit number
company string
bypass_credit_limit_check boolean

Default: false

Returns

Returns the updated customer credit limit object.

PATCH /api/crm/customer-credit-limit/{id}
curl https://api.overplane.dev/api/crm/customer-credit-limit/customer-credit-limit_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "customer-credit-limit_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "credit_limit": 0,
  "company": "Example Corp",
  "bypass_credit_limit_check": false
}
DELETE /api/crm/customer-credit-limit/{id}

Delete a customer credit limit

Permanently deletes a customer credit limit. This cannot be undone.

Path parameters

id string required

The identifier of the customer credit limit to delete.

Returns

Returns a confirmation that the customer credit limit has been deleted.

DELETE /api/crm/customer-credit-limit/{id}
curl https://api.overplane.dev/api/crm/customer-credit-limit/customer-credit-limit_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "customer-credit-limit_abc123",
  "deleted": true
}
POST /api/crm/customer-credit-limit/reorder

Reorder customer credit limits

Updates the sort order of customer credit limits within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/crm/customer-credit-limit/reorder
curl https://api.overplane.dev/api/crm/customer-credit-limit/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "customer-credit-limit_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "credit_limit": 0,
  "company": "Example Corp",
  "bypass_credit_limit_check": false
}